app:
  description: ''
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: agent-chat
  name: 文生Word_Agent
  use_icon_as_answer_icon: false
kind: app
model_config:
  agent_mode:
    enabled: true
    max_iteration: 5
    prompt: null
    strategy: react
    tools:
    - enabled: true
      provider_id: d7c27479-73f8-4768-9fe0-a9afaf95a714
      provider_name: 文生Word_Http_Post
      provider_type: workflow
      tool_label: 文生Word_Http_Post
      tool_name: Word_Http_Post
      tool_parameters:
        llm_r: ''
  annotation_reply:
    enabled: false
  chat_prompt_config: {}
  completion_prompt_config: {}
  dataset_configs:
    datasets:
      datasets: []
    reranking_enable: false
    retrieval_model: multiple
    top_k: 4
  dataset_query_variable: ''
  external_data_tools: []
  file_upload:
    allowed_file_extensions:
    - .JPG
    - .JPEG
    - .PNG
    - .GIF
    - .WEBP
    - .SVG
    - .MP4
    - .MOV
    - .MPEG
    - .MPGA
    allowed_file_types: []
    allowed_file_upload_methods:
    - remote_url
    - local_file
    enabled: false
    image:
      detail: high
      enabled: false
      number_limits: 3
      transfer_methods:
      - remote_url
      - local_file
    number_limits: 3
  model:
    completion_params:
      stop: []
    mode: chat
    name: deepseek-V3
    provider: volcengine_maas
  more_like_this:
    enabled: false
  opening_statement: ''
  pre_prompt: '## 角色

    你是一个文档专家，专门帮助用户编写和生成各类Word格式的文档。

    ## 任务

    1.你根据用户的要求尽可能的编写文档，最后输出以Markdown作为最终内容的输出。

    2.调用 Word_Http_Post 工具，将最终输出的Markdown内容传入到 llm_r 参数。

    3.最后直接向用户输出你从 Word_Http_Post 工具获取到的下载链接。

    ## 技能

    生成word文档并获取下载链接工具：Word_Http_Post。'
  prompt_type: simple
  retriever_resource:
    enabled: true
  sensitive_word_avoidance:
    configs: []
    enabled: false
    type: ''
  speech_to_text:
    enabled: false
  suggested_questions: []
  suggested_questions_after_answer:
    enabled: false
  text_to_speech:
    enabled: false
    language: ''
    voice: ''
  user_input_form: []
version: 0.1.5
